Subject: Re: linux-next: manual merge of the tip tree

From: Ingo Molnar <[email-masked]>
Date: Sun, 27 Oct 2013 08:12:37 +0100

* Will Deacon <[email-masked]> wrote:

> Hi Ingo,
> 
> [adding rmk]
> 
> On Sat, Oct 26, 2013 at 09:40:33AM +0100, Ingo Molnar wrote:
> > * Will Deacon <[email-masked]> wrote:
> > > On Fri, Oct 25, 2013 at 02:03:42PM +0100, Thierry Reding wrote:
> > > > I fixed it up (see below). Please verify that the resolution looks good.
> > > > Also note that this isn't really a trivial resolution of a conflict, but
> > > > required modifying various other files. That causes rerere magic not to
> > > > work and needs part of conflict to be resolved manually. Perhaps a good
> > > > idea would be to rebase Jean's patch on top of the cleanups going on in
> > > > the tip tree? Perhaps even carry the patch in the tip tree?
> > > 
> > > These came via my tree (arm perf) after discussion here:
> > > 
> > >   http://lists.infradead.org/pipermail/linux-arm-kernel/2013-October/203077.html
> > > 
> > > Now that they've been pulled by rmk, we can't back them out with 
> > > ugly reverts, so I'm not sure what we can do to resolve in the ARM 
> > > tree; it looks like the perf Makefile has changed significantly in 
> > > -tip.
> > 
> > I realize that it was acked by Arnaldo, but for workflow reasons I'd 
> > really prefer it if non-trivial perf tooling patches went to Arnaldo 
> > as a pull request so that he can resolve any such conflicts. perf is 
> > in constant development so it's less work for you that way.
> 
> Sure. I wasn't aware quite how much you guys had planned for the perf 
> Makefile and I (wrongly) assumed that Arnaldo's ack was enough of an 
> indication that conflicts would be unlikely and/or trivial.

That was a bit of unlucky timing.

> In future, I'll push back on any perf changes outside of arch/ in my 
> tree, but that doesn't help us get out of the current situation: the 
> patches are currently sitting in rmk's tree for 3.13, so that won't meet 
> with -tip (outside of next) until Linus pulls them both. What can we do 
> about that?

Unless you guys want to do a revert I guess there's not much to do but to 
warn Linus in the ARM pull request that a conflict is coming up.

Thanks,

	Ingo